#!/bin/sh

#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

# Java Options (e.g. increase Max heap size )
JAVA_OPTS="-Xms64m -Xmx512m"
JAVA_OPTS="$JAVA_OPTS $USER_OPT $PASSWORD_OPT $EM_HOST_OPT $EM_PORT_OPT"

COLLECTIONS="(.*) to (File|Flatfile)"
MODULES="(.*)"
COMMAND="disable persistent collections matching \"$COLLECTIONS\" in management modules matching \"$MODULES\""

# send stderr to null b/c there are meaningless disconnect excepts that might be *scary-looking*
$ISC_JAVA_HOME/bin/java $JAVA_OPTS -jar $CLW_JAR $COMMAND 2>/dev/null
