#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

# Java Options (e.g. increase Max heap size )
JAVA_OPTS=-Xms64m -Xmx256m
# Customize these
START=Wed Jan 01 01:00:00 MST 2004
END=Wed Jan 01 01:00:00 MST 2005
CSVFILE=$ISC_FLATFILES/SuperDomain.WebSphere.Agent1.csv
TEMPLATE=$ISC_CONFIG/datacaster/generic.template
JAVA_OPTS="$JAVA_OPTS -Djava.awt.headless=true"
ARGS="--report -template $TEMPLATE -csvfile $CSVFILE -start '$START' -end '$END'"

$ISC_JAVA_HOME/bin/java $JAVA_OPTS -Djava.awt.headless=true -jar $DATACASTER_JAR $ARGS
