#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

# The program creates its own logs, but capture startup output also
OUT_FILE=$ISC_LOGS/startup.out
ERR_FILE=$ISC_LOGS/startup.err
PID_FILE=$ISC_LOGS/IntroscopeEnterpriseManager.pid

echo Starting Enterprise Manager...
nohup $ISC_HOME/Introscope_Enterprise_Manager > $OUT_FILE 2> $ERR_FILE &
echo $! > $PID_FILE
