#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

LOG_FILE=$ISC_LOGS/PlaybackAgent.log
PID_FILE=$ISC_LOGS/PlaybackAgent.pid

FLATFILE_DIR=$1
if [ "X$FLATFILE_DIR" = "X" ] ; then
	while [ "$INPUT_STRING" = "" ]
	do
		echo Directory of flatfiles \(enter \"quit\" to use default\):
		read INPUT_STRING
		if [ "$INPUT_STRING" = "" ] ; then
			echo 
		elif [ "$INPUT_STRING" = "quit" ] ; then
			echo Ok.  Using $ISC_FLATFILES.
			FLATFILE_DIR=$ISC_FLATFILES
		elif [ ! -d $INPUT_STRING ] ; then
			echo Not a directory!
			INPUT_STRING=
		else
			FLATFILE_DIR=$INPUT_STRING
		fi
	done
fi
if [ ! -d $FLATFILE_DIR ] ; then
	echo No directory exists: $FLATFILE_DIR
fi

JAVA_OPTS="-classpath $ISC_LIB/Agent.jar:$ISC_LIB/PlaybackAgent.jar"
JAVA_OPTS="$JAVA_OPTS -Dcom.wily.introscope.agentProfile=$ISC_CONFIG/PlaybackAgent.profile"

$ISC_JAVA_HOME/bin/java $JAVA_OPTS PlaybackAgent $FLATFILE_DIR > $LOG_FILE 2>&1 &
echo $! > $PID_FILE
