#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

CATALINA_HOME=$ISC_WEBVIEW/jakarta-tomcat-4.1.30
export CATALINA_HOME
# Reset Java Home to a JDK
JAVA_HOME=$ISC_WEBVIEW_JDK_HOME
export JAVA_HOME
JAVA_OPTS="-Djava.awt.headless=true"
export JAVA_OPTS

echo Shutting down WebView...
$CATALINA_HOME/bin/shutdown.sh
